#include <stdio.h>
#include <pico/stdlib.h>

#include "settings.h"

namespace
{
    const uint LED_PIN = PICO_DEFAULT_LED_PIN;
}

int main()
{
    stdio_init_all();
    sleep_ms(1000);
    gpio_init(LED_PIN);
    gpio_set_dir(LED_PIN, GPIO_OUT);
    gpio_put(LED_PIN, 0);

    Settings settings{read_settings()};

    printf("Iambic mode (loaded): %d\n", static_cast<int>(settings.mode));
    printf("WPM         (loaded): %d\n", settings.wpm);

    while (true)
    {
        sleep_ms(1000);
    }

    return 0;
}
